#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	int i;
	float a,b,t,s,q;
	
	a=2;
	b=1;
	t=0;
	s=0;
	
	cin>>q;
	
	for(i=1;s<=q;i++){
		t=a/b;
		s=s+t;
		a=i+2;
		b=i+1;
		
	}
	
	cout<<s;
	
	return 0;
	
}
